import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/InvoiceSales/capitalPool";

// {
//   label: '卖出方公司',
//     prop: 'supplierName',
//       minWidth: 175,
//     ...renderIconLabelLeft('supplierNo', 'supplierName', '卖出方公司编码:')
// },

const columns = [
  {
    label: "确认单编号",
    prop: "orderCode",
    fixed: "left",
    width: "150px"
  },
  {
    label: '销售主单号',
    prop: 'orderCode',
    width: "150px"
  },
  {
    label: '申请人',
    prop: 'apply_name',
    width: '100px'
  },
  {
    label: '卖出方公司',

  },
  {
    label: "操作",
    fixed: "right",
    width: 60, //后期修改
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "通用订单关联订单已回款列表",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
